createPlaylist
POST
/api/v1/playlists
const url = 'https://example.com/api/v1/playlists';const options = { method: 'POST', headers: {'X-CSRF-Token': 'example', 'Content-Type': 'application/json'}, body: '{"name":"example","description":"example","sourceType":"static"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/api/v1/playlists \ --header 'Content-Type: application/json' \ --header 'X-CSRF-Token: example' \ --data '{ "name": "example", "description": "example", "sourceType": "static" }'Parameters
Section titled “ Parameters ”Header Parameters
Section titled “Header Parameters”X-CSRF-Token
required
string
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
name
required
string
description
required
string
sourceType
required
Static creates a manually ordered timeline; tag creates an initially empty tag-driven playlist
string
Responses
Section titled “ Responses ”Playlist created
Viewer is read-only